/**
 * ------------------------------------------------------------------------
 * JUX Options: enhance function for module configuration
 * ------------------------------------------------------------------------
 * Copyright (C) 2012-2013 JoomlaUX. All Rights Reserved.
 * @license - GNU/GPL, http://www.gnu.org/licenses/gpl.html
 * Author: JoomlaUX
 * Websites: http://www.joomlaux.com
 * ------------------------------------------------------------------------
 */

/**
 * Function for hide options.
 * 
 * @param   string  sub_fields  The list of fields to Hide.
 */
function jux_HideOptions(sub_fields) {
	if((/^\s*$/).test(sub_fields)) {
		return;
	}

	fields = sub_fields.split(',');
	for(var i = 0; i < fields.length; i ++){
		if($('jform_params_'+ fields[i])){
			var control_DIV	= $('jform_params_'+ fields[i]).getParent('div').getParent('div.control-group');
			if(control_DIV && !control_DIV.hasClass('hide')) {
				control_DIV.addClass('hide');
			}
		}
	}
}

/**
 * Function for show options.
 * 
 * @param   string  sub_fields  The list of fields to Show.
 */
function jux_ShowOptions(sub_fields) {
	if((/^\s*$/).test(sub_fields)) {
		return;
	}

	fields = sub_fields.split(',');
	
	for(var i = 0; i < fields.length; i ++){
		if($('jform_params_'+ fields[i])){
			var control_DIV	= $('jform_params_'+ fields[i]).getParent('div').getParent('div.control-group');
			if(control_DIV && control_DIV.hasClass('hide')) {
				control_DIV.removeClass('hide');
			}
		}
	}	
}

/**
 * Function for setup MoreSetting button when start up.
 * 
 * @param	sub_fields			string	The list of active sub fields to Show.
 * @param	control_field_name	string	The name of controlling field.
 * @param	on_label			string	Label for On Button.
 * @param	off_label			string	Label for Off Button.
 */
function jux_OnOffButtonStart(sub_fields, control_field_name) {
	var control_field	= $('jform_params_' + control_field_name);

	if(control_field.value != "0"){
		jux_ShowOptions(sub_fields);
	} else {
		jux_HideOptions(sub_fields);
	}
}
