<?php
/**
 * @version  $Id$
 * @author  JoomlaUX!
 * @package  Joomla.Site
 * @subpackage mod_jux_carousel
 * @copyright Copyright (C) 2012 by JoomlaUX. All rights reserved.
 * @license  http://www.gnu.org/licenses/gpl.html
 */
defined('JPATH_BASE') or die;

jimport('joomla.html.html');
jimport('joomla.form.formfield');

class JFormFieldJUXAccordionOptions extends JFormField {

	protected $type = 'JUXAccordionOptions';

	/**
	 * Method to get the field input markup.
	 *
	 * @return  string  The field input markup.
	 *
	 * @since   11.1
	 */
	protected function getLabel() {
		
		// add script
		if (!defined('JUX_MODULE_OPTIONS_ASSETS')) {
			define('JUX_MODULE_OPTIONS_ASSETS', 1);
			$uri = str_replace('\\', "/", str_replace(JPATH_SITE, JURI::base(), dirname(__FILE__)));
			$uri = str_replace("/administrator/", "", $uri);
			JHTML::stylesheet($uri . '/assets/css/juxoptions.css');
		}
		
		// Declare variable for Accordion class

		$html	= '<div class="clr"></div>';
			$_title = (string) $this->element['label'];
			if ($_title) {
				$_title = html_entity_decode(JText::_($_title));
			}

			$html	.= '
				<h4 class="jux_option_toggler">
					<span class="block-setting" >' . $_title . '</span> 
					<span class="control-icon"></span>
				</h4>';

		return $html;
	}

	/**
	 * Override getLabel function for hiding Label when don't need.
	 * 
	 * @return string	Label if label element is set, blank otherwise
	 */
	protected function getInput() {
		return '';
	}

}